%define		module	pyogg
Summary:	A Python module for the Ogg library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki Ogg
Name:		python-%{module}
Version:	1.3
Release:	10
License:	GPL
Group:		Libraries/Python
Source0:	http://ekyo.nerim.net/software/pyogg/%{module}-%{version}.tar.gz
# Source0-md5:	45a4ecc4d0600661199e4040a81ea3fe
URL:		http://ekyo.nerim.net/software/pyogg/
BuildRequires:	libogg-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pyogg

%description
A Python module for the the Ogg library.

%description -l pl.UTF-8
Moduł Pythona do biblioteki Ogg.

%package devel
Summary:	PyOgg development files
Summary(pl.UTF-8):	Pliki nagłówkowe modułu PyOgg
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libogg-devel
%pyrequires_eq	python-devel
Obsoletes:	pyogg-devel

%description devel
PyOgg development files.

%description devel -l pl.UTF-8
Pliki programistyczne modułu PyOgg.

%prep
%setup -q -n %{module}-%{version}

%build
python config_unix.py \
	--prefix %{_prefix}
python setup.py config
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--root $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
chmod a+x test/oggtail.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install test/oggtail.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f test/testogg.py
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%dir %{py_sitedir}/ogg
%attr(755,root,root) %{py_sitedir}/ogg/*.so
%{py_sitedir}/ogg/*.py[co]
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyogg.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e19b0d0
- release 10 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d37a591
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 246d959
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bec9be6
- release 9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f793a63
- release 8

* Fri Nov 28 2008 lisu <lisu@pld-linux.org> 02ffdab
- proper URL

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d39b043
- release 7

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d6ae156
- release 6

* Sat Mar 03 2007 beorn <beorn@pld-linux.org> 1f4120a
- Switched to py_postclean macro (thanks to glen)

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> 63861c3
- Fixed comment of the -devel package

* Fri Mar 02 2007 beorn <beorn@pld-linux.org> a4ff358
- File oggtail.py moved from -devel package to _examplesdir of the base package
- Removed unneeded file testogg.py
- Minor fix

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 599fad0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 52c6df0
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 84f71b5
- rel. 4 to rebuild with python 2.5 (final)

* Sun Sep 03 2006 Patryk Zawadzki <patrys@room-303.com> a9d530a
- new maintainer

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 8cdd4bc
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> 9c55460
- strict deps, release 2

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 6097bb4
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 17eaf59
- capitalization, tabs, other cosmetics

* Sat Nov 22 2003 Jakub Bogusz <qboosh@pld-linux.org> 1267935
- updated to 1.3

